activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Strachan" <james.strac...@gmail.com>
Subject Re: [VOTE] change the namespace URI in 5.0 onwards to map to spring URIs
Date Fri, 15 Jun 2007 13:56:43 GMT
On 6/15/07, Hiram Chirino <hiram@hiramchirino.com> wrote:
> I think we should include a version number in there. JUST in case in
> ActiveMQ 6.0 we decide to get radical with the xml configuration and
> make it not compatible with 5.0.  We would not want the old 5.0
> clients pulling down the xsd as the 6.0 clients.

We could always just come up with a new namespace URI (with added
version) if we decide to go there in ActiveMQ 6.x. Picking a
version-less URI doesn't preclude us from adding a version in there
later on if we find we need it.

But given there's little likelihood of major XML surgery for some time
to come; I'm totally cool with following Spring's lead on the use of
URIs and XSD locations...

* the XSD location is mandatory in spring 2.0 XML; and so specifies
the versioning

* the URI can then be a simple URI without version info and map to a
directory of all the actual physical XSD versions.

-- 
James
-------
http://macstrac.blogspot.com/

Mime
View raw message